%define upstream_name    App-intsum
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Sums decimal big integers from stdin or files - one in each line
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::GMP)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Performs an arithmetic sum of decimal integers in the files given as
command line arguments and STDIN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/intsum
%{_mandir}/man1/intsum.1*

%changelog
* Sat Oct 17 2020 tv <tv> 0.0.3-1.mga8
+ Revision: 1636471
- update to 0.0.3

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-3.mga8
+ Revision: 1503464
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1281704
- Mageia 7 Mass Rebuild

* Sun Dec 17 2017 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1182986
- imported package perl-App-intsum

